---
updatedAt: 2026-05-28T10:50:53.000Z
agentTools:
  siteIndex: https://developer.sportradar.com/llms.txt
  projectIndex: https://developer.sportradar.com/basketball/llms.txt
---

# Push Clock

**NBA Push Clock** Subscribe to real-time NBA game clock updates, providing access to live game timing information.

## Syntax

<HTMLBlock>{`
<table>
  <tr>
    <td
      style="padding:20px; background-color:#00003c; color:white; width:57%; text-align:left; cursor:default;"
    >
      https://api.sportradar.com/nba/{access_level}/stream/{language_code}/clock/subscribe
    </td>
  </tr>
</table>
`}</HTMLBlock>

<br />

### Parameters

| Parameter       | Description                                                               |
| --------------- | ------------------------------------------------------------------------- |
| `access_level`  | Defines the access level of your API key<br /><br />`production`, `trial` |
| `language_code` | 2-letter code for supported languages<br /><br /> `en` (English)          |

> 🔐 Authorization
>
> Place your API key in the header for each request (`x-api-key`)

<br />

### Optional Query String Parameters

By default, a Push feed will provide all data available for all in progress games. If needed, you can filter the data returned by including query strings.

Each query string parameter can be added with a preceding ampersand (`&`).

| Parameter | Description                                                                             |
| --------- | --------------------------------------------------------------------------------------- |
| `match`   | Match id<br /><br />Example: `match=sd:match:76b2e680-7da7-461f-95ad-e7c34dbc4c56`      |
| `status`  | Game status<br /><br />`inprogress`, `created` <br /><br />Example: `status=inprogress` |

<br />

***

## Code Samples

```ruby
require 'uri'
require 'net/http'
require 'openssl'

url = URI("https://api.sportradar.com/nba/trial/stream/en/clock/subscribe")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
http.verify_mode = OpenSSL::SSL::VERIFY_NONE

request = Net::HTTP::Get.new(url)
request["x-api-key"] = "{your_api_key}"  # Replace with your actual key

response = http.request(request)
puts response.read_body
```
```python
import requests
import json

headers = {
    'x-api-key': 'your_api_key'  # Replace with your actual key
}

r = requests.get(
    "https://api.sportradar.com/nba/trial/stream/en/clock/subscribe",
    headers=headers,
    allow_redirects=False
)

redirect_url = r.headers['Location']
r = requests.get(redirect_url, stream=True, headers=headers)

for line in r.iter_lines():
    # filter out keep-alive new lines
    if line:
        decoded_line = line.decode('utf-8')
        print(json.loads(decoded_line))
```
```shell
curl -L -X GET 'https://api.sportradar.com/nba/trial/stream/en/clock/subscribe' \
  -H 'x-api-key: {your_api_key}'
```

<br />

### Samples with Query String Params

```ruby Ruby with Query String Params
require 'uri'
require 'net/http'
require 'openssl'

url = URI("https://api.sportradar.com/nba/trial/stream/en/clock/subscribe?&status=inprogress&match=sd:match:76b2e680-7da7-461f-95ad-e7c34dbc4c56")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
http.verify_mode = OpenSSL::SSL::VERIFY_NONE

request = Net::HTTP::Get.new(url)
request["x-api-key"] = "{your_api_key}"  # Replace with your actual key

response = http.request(request)
puts response.read_body
```
```python Python with Query String Params
import requests
import json

headers = {
    'x-api-key': 'your_api_key'  # Replace with your actual key
}

r = requests.get("https://api.sportradar.com/nba/trial/stream/en/clock/subscribe",
    params = {'status': 'inprogress', 'match': 'sd:match:673b459c-7506-4c11-9273-1b9502537f1d'},
    allow_redirects=False)

redirect_url = r.headers['Location']
r = requests.get(redirect_url, stream=True)

for line in r.iter_lines():
    # filter out keep-alive new lines
    if line:
        decoded_line = line.decode('utf-8')
        print(json.loads(decoded_line))
```
```shell Shell with Query String Params
curl -L -X GET 'api.sportradar.com/nba/trial/stream/en/clock/subscribe?&status=inprogress&match=sd:match:76b2e680-7da7-461f-95ad-e7c34dbc4c56'
  -H 'x-api-key: {your_api_key}'
```

<br />

***

## Response Samples

The above commands return json like [this](https://api-docs.sportradar.us/nba/nba_v8_push_clock_example.json).

<br />

### Simulations

Check out our <a href="https://developer.sportradar.com/getting-started/docs/simulations" target="_blank">Simulations</a> to replay actual games at any time, on your own schedule. [Push simulations](https://developer.sportradar.com/getting-started/docs/simulations#push-request-path) are available as well.

<br />

***

<br />

<Callout icon="📘" theme="info">
  ### Streaming Live Data

  Learn how to use the Push Clock feed to stream live NBA game clock updates in our [Push Feeds](https://developer.sportradar.com/basketball/docs/nba-ig-push) integration scenario.
</Callout>

## Data Points

<Accordion title="Game" icon="fa-duotone fa-thin fa-basketball-hoop">
  | Attribute   | Parent Element        | Type     | Description                                                                                                                                                                                                                                                                                                                                                |
  | ----------- | --------------------- | -------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
  | `coverage`  | `game`                | String   | Coverage level of a game<br /><br />`full`, `extended_boxscore`                                                                                                                                                                                                                                                                                            |
  | `id`        | `game`                | GUID     | Unique ID of a game<br /><br />ex. `1f730a9a-8221-48ff-a259-ac2103fb58b0`                                                                                                                                                                                                                                                                                  |
  | `reference` | `game`                | String   | League reference ID of a game<br /><br />ex. `1610612758`                                                                                                                                                                                                                                                                                                  |
  | `sr_id`     | `game`                | GUID     | Unique Sportradar ID of a game<br /><br />ex. `sr:match:35431817`                                                                                                                                                                                                                                                                                          |
  | `status`    | `game`                | String   | The status of a game<br /><br />`scheduled`, `created`, `inprogress`, `halftime`, `complete`, `closed`, `cancelled`, `delayed`, `postponed`, `time-tbd`, `if-necessary`, `unnecessary`<br /><br />*Please see our[FAQ](https://developer.sportradar.com/basketball/reference/nba-faq#game--series-statuses) section for a list of game status definitions* |
  | `title`     | `game`                | String   | Title of a game<br /><br />ex. `Game 3`                                                                                                                                                                                                                                                                                                                    |
  | `scheduled` | `game`                | dateTime | Scheduled date and time of a game<br /><br />ex. `2025-10-21T23:30:00+00:00`                                                                                                                                                                                                                                                                               |
  | `away`      | `game` - `time_zones` | String   | Time zone of the away team<br /><br />ex. `US/Pacific`                                                                                                                                                                                                                                                                                                     |
  | `home`      | `game` - `time_zones` | String   | Time zone of the home team<br /><br />ex. `US/Eastern`                                                                                                                                                                                                                                                                                                     |
  | `venue`     | `game` - `time_zones` | String   | Time zone of the venue<br /><br />ex. `US/Eastern`                                                                                                                                                                                                                                                                                                         |
</Accordion>

<Accordion title="Metadata" icon="fa-duotone fa-thin fa-basketball-hoop">
  | Attribute   | Parent Element | Type   | Description                                                                                                                                                                                                                                                                                                                                                |
  | ----------- | -------------- | ------ | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
  | `league`    | `metadata`     | String | Alias of a league<br /><br />ex. `NBA`                                                                                                                                                                                                                                                                                                                     |
  | `locale`    | `metadata`     | String | Language code<br /><br />ex. `en` (English)                                                                                                                                                                                                                                                                                                                |
  | `match`     | `metadata`     | GUID   | Unique ID of a game<br /><br />ex. `sd:match:d8539eb6-3e27-40c8-906f-9cd1736321d8`                                                                                                                                                                                                                                                                         |
  | `operation` | `metadata`     | String | Operation of an update<br /><br />`update`, `delete`                                                                                                                                                                                                                                                                                                       |
  | `status`    | `metadata`     | String | The status of a game<br /><br />`scheduled`, `created`, `inprogress`, `halftime`, `complete`, `closed`, `cancelled`, `delayed`, `postponed`, `time-tbd`, `if-necessary`, `unnecessary`<br /><br />*Please see our[FAQ](https://developer.sportradar.com/basketball/reference/nba-faq#game--series-statuses) section for a list of game status definitions* |
  | `version`   | `metadata`     | String | Version of the API<br /><br />ex. `v7`                                                                                                                                                                                                                                                                                                                     |
</Accordion>

<Accordion title="Play-by-Play" icon="fa-duotone fa-thin fa-basketball-hoop">
  | Attribute            | Parent Element  | Type    | Description                                                                      |
  | -------------------- | --------------- | ------- | -------------------------------------------------------------------------------- |
  | `bonus`              | `game` - `away` | Boolean | Signifies a team is in the bonus                                                 |
  | `points`             | `game` - `away` | Integer | Total points for the away team                                                   |
  | `id`                 | `game` - `away` | GUID    | Unique ID of the away team<br /><br />ex. `583ed0ac-fb46-11e1-82cb-f4ce4684ea4c` |
  | `market`             | `game` - `away` | String  | Market name of the away team<br /><br />ex. `Sacramento`                         |
  | `name`               | `game` - `away` | String  | Away team name<br /><br />ex. `Kings`                                            |
  | `reference`          | `game` - `away` | String  | League reference ID of the away team<br /><br />ex. `1610612750`                 |
  | `remaining_timeouts` | `game` - `away` | Integer | Remaining timeouts for the away team                                             |
  | `sr_id`              | `game` - `away` | GUID    | Unique Sportradar ID of the away team<br /><br />ex. `sr:team:3415`              |
  | `bonus`              | `game` - `home` | Boolean | Signifies a team is in the bonus                                                 |
  | `points`             | `game` - `home` | Integer | Total points for the home team                                                   |
  | `id`                 | `game` - `home` | GUID    | Unique ID of the home team<br /><br />ex. `583ed0ac-fb46-11e1-82cb-f4ce4684ea4c` |
  | `market`             | `game` - `home` | String  | Market name of the home team<br /><br />ex. `Sacramento`                         |
  | `name`               | `game` - `home` | String  | Home team name<br /><br />ex. `Kings`                                            |
  | `reference`          | `game` - `home` | String  | League reference ID of the home team<br /><br />ex. `1610612750`                 |
  | `remaining_timeouts` | `game` - `home` | Integer | Remaining timeouts for the home team                                             |
  | `sr_id`              | `game` - `home` | GUID    | Unique Sportradar ID of the home team<br /><br />ex. `sr:team:3415`              |
</Accordion>

<Accordion title="Clock" icon="fa-duotone fa-thin fa-basketball-hoop">
  | Attribute      | Parent Element | Type    | Description                                                                                                                              |
  | -------------- | -------------- | ------- | ---------------------------------------------------------------------------------------------------------------------------------------- |
  | `game_decimal` | `clocks`       | String  | Clock value in decimal form when the game clock is under 1:00. Otherwise it displays the same value as `clock`<br /><br />ex. `00:21.70` |
  | `game`         | `clocks`       | String  | Game clock value for an event<br /><br />ex. `1157`                                                                                      |
  | `running`      | `clocks`       | Boolean | Signifies the game clock was running when a message was sent                                                                             |
  | `shot`         | `clocks`       | String  | Shot clock value for an event<br /><br />ex. `11.00`                                                                                     |
</Accordion>

<Accordion title="Quarter" icon="fa-duotone fa-thin fa-basketball-hoop">
  | Attribute  | Parent Element | Type    | Description                           |
  | ---------- | -------------- | ------- | ------------------------------------- |
  | `number`   | `period`       | Integer | Number of a quarter                   |
  | `sequence` | `period`       | Integer | Sequential number of a quarter        |
  | `type`     | `period`       | GUID    | Type of period<br /><br />`REG`, `OT` |
</Accordion>